export const getAllProducts = async ({
  url,
  category = 'All',
  filter = 'asc',
}) => {
  const response = await fetch(
    `${url}&category=${category}&filterType=${filter}`
  );

  const data = await response.json();

  if (!response.ok) {
    throw new Error(data.message || 'Something went wrong!');
  }

  return data;
};
